=== debian/changelog ===
libplayer (1.0.0-2) unstable; urgency=low

  * Add dev packages referenced by pkgconfig to libplayer-dev depends

 -- Davide Cavalca <davide@geexbox.org>  Mon, 04 Jan 2010 15:47:27 +0100

libplayer (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #560048)

 -- Davide Cavalca <davide@geexbox.org>  Thu, 10 Dec 2009 12:03:55 +0100
