=== debian/control ===
Source: libplayer
Priority: extra
Maintainer: Davide Cavalca <davide@geexbox.org>
Build-Depends: debhelper (>= 7.0.50), pkg-config, libx11-dev, libxine-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.8.3
Section: libs
Homepage: http://libplayer.geexbox.org/
Vcs-Hg: http://hg.geexbox.org/libplayer
Vcs-Browser: http://hg.geexbox.org/libplayer/summary

Package: libplayer-dev
Section: libdevel
Architecture: any
Depends: libplayer1 (= ${binary:Version}), libxine-dev, libx11-dev, ${misc:Depends}
Suggests: libplayer1-dbg (= ${binary:Version}), libplayer-doc (= ${binary:Version})
Description: a multimedia A/V abstraction layer API -- development files
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains headers and libraries for developing software
 that makes use of libplayer.

Package: libplayer1-bin
Section: misc
Architecture: any
Depends: libplayer1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: test utilities for libplayer
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains some test utilities to execise libplayer capabilities.

Package: libplayer1
Architecture: any
Recommends: mplayer
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine1-x | libxine2-x
Suggests: libplayer1-bin (= ${binary:Version}), libxine2-vdr
Description: a multimedia A/V abstraction layer API
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.

Package: libplayer1-dbg
Architecture: any
Section: debug
Depends: libplayer1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libplayer1
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains the debugging symbols for libplayer1.

Package: libplayer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libplayer-dev
Description: developer documentation for libplayer
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains developer documentation for libplayer.
