=== DOCS/Makefile ===
--- 
+++ 
@@ -6,14 +6,17 @@
 EXTRADIST = \
 	Doxyfile \
 	event_handler-supervisor.txt \
+	libplayer.png \
+	libplayer.svg \
 	libplayer-internals.png \
+	libplayer-internals.svg \
 
 all: doxygen
 
 doxygen:
 ifeq ($(DOC),yes)
 ifeq (,$(wildcard doxygen))
-	PROJECT_NUMBER="$(LIBPLAYER_VERSION)" doxygen Doxyfile
+	PROJECT_NUMBER="$(VERSION)" doxygen Doxyfile
 endif
 endif
