=== debian/changelog ===
libplayer (2.0.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: fix incorrect libxine dependencies (Closes: #724759).
    thanks to Darren Salt <bugspam@moreofthesa.me.uk>.
  * debian/rules
    - fix FTBFS on armhf "recompile with -fPIC" (Closes: #656504).
      thanks to peter green <plugwash@p10link.net>.
    - fix build with -fPIC (Closes: #687613).
      thanks to Konstantinos Margaritis <konstantinos.margaritis@freevec.org>.
    - fix FTBFS: config.mak is not present (Closes: #718152).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 09 Oct 2013 15:06:01 +0900

libplayer (2.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * FTBFS: wrapper_gstreamer.c:33:21: fatal error: gst/gst.h:
    No such file or directory (Closes: #625196)
    - debian/patches/fix-ftbfs-wrapper_gstreamer.diff 
      thanks to Matthias Klose <doko@ubuntu.com>.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 09 Jan 2012 13:37:57 +0900

libplayer (2.0.1-2) unstable; urgency=low

  * Resolve file conflict between libplayer2-dbg and libplayer1-dbg
  * Correct Build-Depends against libxcb1-dev (Closes: #599163)

 -- Davide Cavalca <davide@geexbox.org>  Tue, 05 Oct 2010 10:58:48 +0200

libplayer (2.0.1-1) unstable; urgency=low

  * New upstream release:
    - drop Debian package patches as they are now upstream
    - drop Debian manpages for libplayer-test* utils as they are now upstream
    - soname bump: libplayer1 -> libplayer2
    - build GStreamer and VLC wrappers
    - Build-Depend on libxcb-dev instead of libX11-dev
    - dropping libplayer-regtest, it has been removed upstream
  * Rename package libplayer1-bin to libplayer-bin
  * Update Standards-Version to 3.9.1 (no changes)
  * Drop Vcs-Pkg fields from control file
  * Update copyright dates
  * Add debian/upstream-metadata.yaml

 -- Davide Cavalca <davide@geexbox.org>  Mon, 04 Oct 2010 09:18:56 +0200
