=== debian/control ===
Source: libplayer
Priority: extra
Maintainer: Davide Cavalca <davide@geexbox.org>
Build-Depends: debhelper (>= 7.0.50), pkg-config, libxcb1-dev, libxine-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libvlc-dev
Build-Depends-Indep: doxygen
Standards-Version: 3.9.1
Section: libs
Homepage: http://libplayer.geexbox.org/

Package: libplayer-dev
Section: libdevel
Architecture: any
Depends: libplayer2 (= ${binary:Version}), libxine-dev, libxcb1-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libvlc-dev, ${misc:Depends}
Suggests: libplayer2-dbg (= ${binary:Version}), libplayer-doc (= ${binary:Version})
Description: a multimedia A/V abstraction layer API -- development files
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains headers and libraries for developing software
 that makes use of libplayer.

Package: libplayer-bin
Section: misc
Architecture: any
Depends: libplayer2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: libplayer1-bin
Replaces: libplayer1-bin
Conflicts: libplayer1-bin
Description: test utilities for libplayer
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains some test utilities to execise libplayer capabilities.

Package: libplayer2
Architecture: any
Recommends: mplayer
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}, gstreamer0.10-plugins-base, gstreamer0.10-x
Suggests: libplayer-bin (= ${binary:Version})
Description: a multimedia A/V abstraction layer API
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.

Package: libplayer2-dbg
Architecture: any
Section: debug
Depends: libplayer2 (= ${binary:Version}), ${misc:Depends}
Provides: libplayer1-dbg
Conflicts: libplayer1-dbg
Replaces: libplayer1-dbg
Description: debugging symbols for libplayer2
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains the debugging symbols for libplayer2.

Package: libplayer-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libplayer-dev
Description: developer documentation for libplayer
 libplayer provides a generic A/V API that relies on various multimedia
 player for Linux systems. It currently supports MPlayer and xine. Its
 main goal is to provide an unique API that player frontends can use to
 control any kind of multimedia player underneath.
 .
 This package contains developer documentation for libplayer.
