=== debian/watch ===
version=3
http://libplayer.geexbox.org/releases/libplayer-(.*)\.tar\.bz2
